SKB_QUEUE_HEAD(9)

NAME
skb_queue_head - queue a buffer at the list head

SYNOPSIS

void skb_queue_head(struct sk_buff_head * list, struct sk_buff * newsk);

ARGUMENTS

list
    list to use

newsk
    buffer to queue

DESCRIPTION

Queue a buffer at the start of the list. This function takes the list lock and can be used safely with other locking sk_buff functions safely.

A buffer cannot be placed on two lists at the same time.

COPYRIGHT